Name:          python-babel
Version:       2.0
Release:       1mamba
Summary:       Library for internationalizing Python applications
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Automatic Build System <autodist@mambasoft.it>
URL:           http://babel.edgewall.org/
Source:        https://pypi.python.org/packages/source/B/Babel/Babel-%{version}.tar.gz
#Source:        http://ftp.edgewall.com/pub/babel/Babel-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
Requires:      python >= %python_version
Requires:      python-setuptools
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildArch:     noarch

%description
Babel is a Python interface to the CLDR (Common Locale Data Repository), providing access to various locale display names, localized number and date formatting, etc.

%package tool
Summary:       A tool for internationalizing Python applications
Group:         Development/Languages
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tool
Tool to build and work with gettext message catalogs.

%prep
%setup -q -n Babel-%{version}

#chmod a-x babel/messages/frontend.py doc/logo.png doc/logo_small.png
sed -i -e '/^#!/,1d' babel/messages/frontend.py

%build
%{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --single-version-externally-managed \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.filelist
%defattr(-,root,root)
#%doc doc/*

%files tool
%defattr(-,root,root)
%{_bindir}/pybabel
%doc AUTHORS LICENSE
#ChangeLog COPYING README.txt doc/cmdline.txt

%changelog
* Mon Jul 27 2015 Automatic Build System <autodist@mambasoft.it> 2.0-1mamba
- automatic version update by autodist

* Fri Nov 22 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3-1mamba
- update to 1.3

* Sat May 25 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.6-2mamba
- python 2.7 mass rebuild

* Sun Mar 20 2011 Automatic Build System <autodist@mambasoft.it> 0.9.6-1mamba
- automatic update by autodist

* Wed Oct 13 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.9.5-1mamba
- update to 0.9.5

* Sun Jan 31 2010 gil <puntogil@libero.it> 0.9.4-1mamba
- package created by autospec
